AM_CPPFLAGS = -DKDE_NO_COMPAT -DQT_NO_ASCII_CAST -DQT_NO_COMPAT \
	$(KOPETE_INCLUDES) -I$(top_srcdir)/kopete/kopete/chatwindow -I$(top_srcdir)/kopete/libkopete $(all_includes) -DSRCDIR=\"$(top_srcdir)/kopete/kopete/chatwindow/tests\"
METASOURCES = AUTO
check_LTLIBRARIES = tdeunittest_chatwindowstyle_test.la tdeunittest_chatwindowstylerendering_test.la

tdeunittest_chatwindowstyle_test_la_SOURCES = chatwindowstyle_test.cpp
tdeunittest_chatwindowstyle_test_la_LIBADD = -ltdeunittest ../libkopetechatwindow.la
tdeunittest_chatwindowstyle_test_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

tdeunittest_chatwindowstylerendering_test_la_SOURCES = chatwindowstylerendering_test.cpp
tdeunittest_chatwindowstylerendering_test_la_LIBADD = -ltdeunittest ../../../libkopete/libkopete.la ../libkopetechatwindow.la
tdeunittest_chatwindowstylerendering_test_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

check-local:
	tdeunittestmodrunner
guicheck:
	tdeunittestmod $(PWD) 
